Bug 1166637 (CVE-2014-8961) - CVE-2014-8961 phpMyAdmin: leakage of line count of an arbitrary file (PMASA-2014-16)
Summary: CVE-2014-8961 phpMyAdmin: leakage of line count of an arbitrary file (PMASA-2...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-8961
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1166638 1166639
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-21 11:39 UTC by Vasyl Kaigorodov
Modified: 2019-09-29 13:24 UTC (History)
3 users (show)

Fixed In Version: phpMyAdmin 4.2.12
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-28 14:54:40 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2014-11-21 11:39:34 UTC
It was reported [1] that in the error reporting feature, a parameter specifying the file was not correctly validated, allowing the attacker to derive the line count of an arbitrary file. 

[1]: http://www.phpmyadmin.net/home_page/security/PMASA-2014-16.php

Comment 1 Vasyl Kaigorodov 2014-11-21 11:40:43 UTC
Created phpMyAdmin tracking bugs for this issue:

Affects: fedora-all [bug 1166638]
Affects: epel-7 [bug 1166639]

Comment 2 Fedora Update System 2014-11-30 19:11:08 UTC
phpMyAdmin-4.2.12-1.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2014-12-01 18:55:58 UTC
phpMyAdmin-4.2.12-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2014-12-01 18:58:14 UTC
phpMyAdmin-4.2.12-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-12-06 10:15:22 UTC
phpMyAdmin-4.2.12-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.